Subject: bug#21990: htmlfontify fails to generate highly highlighted regions

From: [email-masked] (Phillip Lord)
Date: Sun, 17 Jan 2016 22:21:02 +0000

Hong Xu <[email-masked]> writes:

> This issue is also possibly caused by bug #18128, which
> diff-auto-refine-mode does not put the highlight into the font-lock.

I don't think it's related to font-lock, as htmlfontify checks both
'face and 'font-lock-face. I think htmlfontify was not dealing correctly
with faces when they overlap. I've pushed a fix to
fix/htmlfontify-21990.

http://lists.gnu.org/archive/html/emacs-diffs/2016-01/msg00277.html

Can you test and confirm? If so, I'll finish the patch and merge.

Phil